linphone::Range Class Reference

Structure describing a range of integers. More...

`#include <range.hh>`

Inheritance diagram for linphone::Range:

## Public Member Functions

LINPHONECXX_PUBLIC | Range (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneRange * | cPtr ()
LINPHONECXX_PUBLIC int | getMax () const
| Gets the higher value of the range.
LINPHONECXX_PUBLIC void | setMax (int max)
| Sets the higher value of the range.
LINPHONECXX_PUBLIC int | getMin () const
| Gets the lower value of the range.
LINPHONECXX_PUBLIC void | setMin (int min)
| Sets the lower value of the range.

## Detailed Description

Structure describing a range of integers.

## Member Function Documentation

## getMax()

LINPHONECXX_PUBLIC int linphone::Range::getMax | ( |  | ) | const

Gets the higher value of the range.

Returns
  The higher value

## getMin()

LINPHONECXX_PUBLIC int linphone::Range::getMin | ( |  | ) | const

Gets the lower value of the range.

Returns
  The lower value

## setMax()

LINPHONECXX_PUBLIC void linphone::Range::setMax | ( | int | max | ) |

Sets the higher value of the range.

Parameters

  max | the value to set

## setMin()

LINPHONECXX_PUBLIC void linphone::Range::setMin | ( | int | min | ) |

Sets the lower value of the range.

Parameters

  min | the value to set

The documentation for this class was generated from the following file:

- range.hh